## ros-indigo-cob-dashboard 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_dashboard)

find_package(catkin REQUIRED COMPONENTS)

catkin_python_setup()

catkin_package()

### Install ###
install(PROGRAMS scripts/cob_dashboard scripts/cob_dashboard_aggregator.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/scripts
)

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-dashboard (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-dashboard (0.6.8-0trusty) trusty; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-dashboard (0.6.7-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #202 <https://github.com/ipa320/cob_command_tools/issues/202> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-dashboard (0.6.6-0trusty) trusty; urgency=high

  * dual distro compatibility for qt
  * rospy.sleep exception handling
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-cob-dashboard (0.6.5-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-dashboard (0.6.4-0trusty) trusty; urgency=high

  * use aggregated power message
  * Contributors: ipa-fmw

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-dashboard (0.6.3-0trusty) trusty; urgency=high

  * remove trailing whitespaces
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-dashboard (0.6.2-0trusty) trusty; urgency=high

  * minor fix
  * remove obsolete pr2_etherCAT subscriber
  * cleanup CMakeLists
  * remove duplicate dependency cob_msgs
  * Revert "add missing dependency"
  * add missing dependency
  * Contributors: Florian Weisshardt, ipa-cob3-2, ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-dashboard (0.6.1-0trusty) trusty; urgency=high

  * merge
  * fix xml syntax
  * added dependency
  * Contributors: Florian Weisshardt, ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-dashboard (0.6.0-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-dashboard (0.5.2-0trusty) trusty; urgency=high

  * fix install tags
  * move EmergencyStopState.msg to cob_msgs
  * changes related to introduction of cob_msgs
  * add dashboard_aggregator to replace pr2_dashboard_aggregator
  * Cleanup for indigo and rewrite of dashboard to run without pr2_msgs
  * Update package.xml
  * Contributors: Alexander Bubeck, Felix Messmer, Florian Weisshardt, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-dashboard (0.5.1-0trusty) trusty; urgency=high

  * add rqt_gui_cpp dependency
  * cob_battery for dashboard
  * python catkin stuff
  * merged catkin version
  * Initial catkinization.
  * update deps
  * Modified dashboard to use rqt framework.
    Shamelessly adapted from rqt_pr2_dashboard.
  * remove dependency to pr2_dashbord (deprecated)
  * temporary blacklisted old cob_dashboard. needs to be migrated to rqt
  * some cleaning up
  * fixing deprecation of roslib.rosenv
  * missing file
  * emergency stop message: misused wireless field from power_board/state message as scanner stop filed
  * removed unused files, files are used from original pr2_dashboard package
  * removed Breakers from dashboard
  * minimize cob_dashbaord, throw away Breaker and Motor buttons
  * renamed last dashboard lines to command gui
  * modified manifests
  * changed name of cob_dashboard to cob_command_gui and added cob_dashboard overlay
  * make nav buttons optional
  * removed launch files
  * added diagnostics aggregator
  * new cob_command_tools stack
  * analyzer for sdh
  * added diagnostics aggregator
  * added initAll and recoverAll buttons to dashboard
  * added ENV variables to test
  * added rostest
  * Merge branch 'master' into syncmm
  * merged with current master
  * merged pull
  * modified scrit server with modes for base movements
  * added potential field nav to simplescriptserver
  * small modifications on dashboard
  * Merge branch 'syncmm' of github.com:abubeck/cob_apps into syncmm
  * workaround for image size gtk bug
  * Merge branch 'review-aub'
  * Merge branch 'master' of github.com:abubeck/cob_apps into review-aub
  * error handling for detect ojbect
  * Merge branch 'master' into syncmm
  * added switchable planning mode to dashboard, added cob_arm_navigation to cob_bringup for simulation
  * added python api test for script server
  * debugged trajectory calculation, working for multiple points
  * moved launchfile
  * delete dashboard parameters before uploading new ones
  * removed config files from apps packages
  * restructured dashboard to load robot and robot_env parts
  * implemented points inside trajectories
  * changed launchfile to use cob_default_config package
  * fixed typo
  * dashboard using cob_default_config package
  * added support for multiple arms on the dashboard
  * release update for cob3-1
  * commit local changes
  * added bringup with camera starting
  * preparing release
  * cleanup in cob_apps and updated stack.xml's
  * cob3-1 grasp script modifications
  * devs for cob3-2
  * end of research-camp
  * research camp challenge
  * fixed bug with multiple notifications
  * update dependency
  * added emergency stop functionality
  * update dependency
  * added emergency stop functionality
  * brics exercise 3 working again


=== debian/control ===
Source: ros-indigo-cob-dashboard
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/cob_dashboard
Standards-Version: 3.9.2

Package: ros-indigo-cob-dashboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-msgs, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-robot-dashboard
Description: cob_dashboard is a modified version of [[pr2_dashboard]].

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-dashboard//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
